/* ***************************************************************** */
/* * OMEGAMON XE for DB2 on z/OS v4.2.0                            * */
/* ***************************************************************** */
/* * REASON  RLSE DATE   ORIGIN DESCRIPTION                        * */
/* * TEC      420 081608    SUK update SITINFO for severity        * */
/* * PK78018  410 090126    SUK update KDP_MDBT description        * */
/* * PM07260  420 100315    Suk add percent log available and      * */
/* *                            DBAT approaching CONDBAT           * */
/* ***************************************************************** */

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "DB2_CMD_Connection_Failed";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_DBD_Pool_InUse_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_RDS_Pool_above_Use_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_RDS_Pool_below_Use_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_SKEL_Pool_inUse_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_STMT_Pool_InUse_Pct_High";  

UPDATE O4SRV.TSITDESC 
SET TEXT = "Percentage of maximum DBAT exceeds critical threshold"
WHERE SITNAME = "KDP_MDBT_Critical"; 
      
UPDATE O4SRV.TSITDESC 
SET TEXT = "Percentage of maximum DBAT exceeds warning threshold"
WHERE SITNAME = "KDP_MDBT_Warning"; 

/* ************************************************************* */
/* New situations for PM07260                                    */
/*                                                               */
/* ************************************************************* */
$PARMS("The number of DBAT connections is approaching DSNZPARM CONDBAT. 
When this condition is detected frequently, make sure CONDBAT is defined
 accurately for remote connections.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_CONDBAT_Appr_Max_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1100308125425000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The number of DBAT connections is approaching DSNZPARM CONDBAT",
"*IF  *VALUE DB2_SRM_Subsystem.DBAT_Conn_Utilization *GE 70");


$PARMS("The percentage of active logs available is dropping below the th
reshold.  This is an indication that the log files may be too small. Thi
s exception would happen when logs are being filled up faster then they 
can be archived.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Percent_Log_Avail_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1100308125425000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The percentage of active logs available is below threshold",
"*IF  *VALUE DB2_SRM_Log_Manager.Percent_Logs_Avail *LT 50");
   
   
    
          

